Bug 348271 - Port squirrelmail to use NSS library for cryptography
Summary: Port squirrelmail to use NSS library for cryptography
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: squirrelmail
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Bacovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CryptoConsolidation
TreeView+ depends on / blocked
 
Reported: 2007-10-23 10:23 UTC by Peter Vrabec
Modified: 2008-08-28 06:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-28 06:26:30 UTC


Attachments (Terms of Use)

Description Peter Vrabec 2007-10-23 10:23:15 UTC
squirrelmail should be ported to use NSS library for cryptography.
See the tracking bug for details and links on how it could be done.

Comment 1 Tomas 2007-10-24 08:12:52 UTC
Standard SquirrelMail package uses only own one time pad functions. Other crypto
functions are provided by PHP. PHP does not provide NSS functions. Link PHP
OpenSSL extension to NSS and SquirrelMail will use NSS. Not a SquirrelMail bug.
All your links are about porting C apps and none talks about porting PHP scripts.

Comment 2 John Poelstra 2008-08-28 03:40:43 UTC
Should this bug be closed based on the information in comment #1?


Note You need to log in before you can comment on or make changes to this bug.